| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
Zwraca tematy rozmów.
Zwracane są jedynie aktywne grupy tematów a w ich ramach jedynie aktywne tematy.
https://your-system-name.thulium.com/api/topics
| GET | https://your-system-name.thulium.com/api/topics |
[
{
"id": 1,
"name": "Topic name 1,
"show_custom_fields": true,
"group_name": "Group 1"
},
{
"id": 2,
"name": "Topic name 2,
"show_custom_fields": true,
"group_name": "Group 1"
},
{
"id": 3,
"name": "Topic name 3,
"show_custom_fields": false,
"group_name": "Group 2"
}
]
<?php $request = curl_init('https://your-system-name.thulium.com/api/topics'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/topics"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/topics"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/topics Accept:application/json